using Entities.Contracts;
using TechHelper.Services;

namespace TechHelper.Server.Services
{
	public interface IUserSerivces : IBaseService<User, Guid>
	{
		Task<ApiResponse> GetStudentDetailInfo(Guid userId);
		Task<ApiResponse> RestoreUserRoleInformation(User user);
		Task<ApiResponse> VerifyUserInformation(Guid userId);
	}
}
